Cancel the open offer of ownership
The ownership_transfers.cancel operation: POST /api/v1/ownership_transfers/cancel in the REST API and the ownership_transfers_cancel tool in the MCP server.
/api/v1/ownership_transfers/cancelWithdraws the organization's open offer of ownership before the member accepts it. Returns the cancelled offer. Only an owner can cancel it.
At a glance
- REST:
POST /api/v1/ownership_transfers/cancel - MCP tool:
ownership_transfers_cancel - Operation ID:
ownership_transfers.cancel - Scope: Organization
- Permission:
org:admin - Risk tier:
write - Dry run: Supported (send
Ownrecord-Dry-Run: true) - Idempotency:
Idempotency-Keyrequired - Modes: Test and live
- Authentication: API key with the
org:adminscope - Since: M12
Request
Body
This operation takes no body.
Response
200 OK with a JSON object:
| Field | Type | Description |
|---|---|---|
object | "ownership_transfer" | |
orgId | org_… ID | |
fromUserId | usr_… ID | |
toUserId | usr_… ID | |
toEmail | string or null | |
status | one of pending | |
createdAt | date-time | |
expiresAt | date-time |
Examples
Withdraw the offer
POST /api/v1/ownership_transfers/cancel
Authorization: Bearer or_test_…
Idempotency-Key: 3f1c9a52-7d0e-4b8f-9a61-0c2d5e8b7f14
Response (200):
{
"object": "ownership_transfer",
"orgId": "org_01m4tx5nj7ekd958x53w4bntcg",
"fromUserId": "usr_01m4tx5nj8emwbyf7y9vcf47xa",
"toUserId": "usr_01m4tx5nj8emwbyf7y9vcf47xb",
"toEmail": "ana@acme.example",
"status": "pending",
"createdAt": "2026-10-26T09:00:00.000Z",
"expiresAt": "2026-11-02T09:00:00.000Z"
}
Errors
| Code | HTTP status | When | What to do |
|---|---|---|---|
owner_required | 403 | You aren't an owner of the organization. | Ask an organization owner (org_owner). |
ownership_transfer_not_found | 404 | There's no open offer (it was accepted, cancelled or expired). | Offers expire after 7 days. Ask an owner to offer ownership again. |
version_conflict | 409 | The offer changed at the same time (for example, it was just accepted). | Fetch the object again and retry the change. |
permission_denied | 403 | You can't manage this organization. | Ask an organization owner or admin for a role or scope that allows this action. |
It can also return these common errors: validation_failed, api_version_unsupported, invalid_json, unsupported_media_type, authentication_required, api_key_invalid, resource_not_found, idempotency_key_required, idempotency_key_reused, idempotency_in_progress, approval_required, approval_rejected, approval_expired, stale_approval, approval_policy_denied, rate_limited, internal_error.